{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Detalle Producto{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                        <div class="card shadow mb-4">
                            <div class="card-header py-3">
                                <h3 class="m-0 font-weight-bold card-title text-primary">{{ title }}</h3>
                            </div>
                            <div class="card-body">   
                                <dl class="row">
                                    <dt class="col-4">Codigo:</dt>
                                    <dd class="col-8">{{ producto.codigo }}</dd>
                                    <dt class="col-4">Descripción:</dt>
                                    <dd class="col-8">{{ producto.descripcion}}</dd>
                                    <dt class="col-4">Precio de Compra:</dt>
                                    <dd class="col-8">{{empresa.simbolo_moneda}} {{ producto.precio_compra|floatformat:empresa.moneda_decimal  }}</dd>
                                    <dt class="col-4">Precio de Venta:</dt>
                                    <dd class="col-8">{{empresa.simbolo_moneda}} {{ producto.precio_venta|floatformat:empresa.moneda_decimal  }}</dd>
                                    <dt class="col-4">Stock:</dt>
                                    <dd class="col-8">{{ producto.stock }}</dd>
                                    <dt class="col-4">Stock Crítico:</dt>
                                    <dd class="col-8">{{ producto.stock_critico }}</dd>
                                    <dt class="col-4">Fecha de Vencimiento:</dt>
                                    <dd class="col-8">{{ producto.fecha_vencimiento }}</dd>
                                    <dt class="col-4">Proveedor Asociado:</dt>
                                    <dd class="col-8">{{ producto.id_proveedor}}</dd>
                                    <dt class="col-4">Familia Asociada:</dt>
                                    <dd class="col-8">{{ producto.id_familia }}</dd>
                                    <dt class="col-4">Tipo de Producto Asociado:</dt>
                                    <dd class="col-8">{{ producto.id_tipo_producto }}</dd>
                                </dl> 
                                <label>Imagen:</label>
                                <img src="{{ producto.get_image}}" class="img-fluid d-block mx-auto" style="width: 300px; height: 300px;">
                            </div>
                            <div class="card-footer">
                                <a href="{{ list_url }}"><button type="button" class="btn btn-primary btn-sm">Regresar</button></a>
                            </div>
                        </div>         
                    </div>   
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}

